> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all matchmaking requests

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/matchmaking-requests/

Retrieve a list of matchmaking requests for the current organization. Newest first unless a supported ``sort`` is supplied (created, company_name, directory_name, partner_assigned_name, date_assigned or owner_name, prefix with - for descending); ties are broken by id.

Reference: https://docs.partnerpage.io/api-reference/directory/matchmaking/get-all-matchmaking-requests

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required)

## Response

### 200

Paginated list of matchmaking requests

- `list of DirectoryMatchmakingRequestReader`

## Errors

### 404 Not Found Error

Matchmaking requests not found

- `any`

## Types

### DirectoryMatchmakingRequestReader

All resources should return their href url

- `href` (string, required)
- `id` (string, required)
- `companyName` (string, required)
- `created` (string, required)
- `state` (string, required)
- `assignedPartners` (string, required)
- `dateAssigned` (string, required)
- `ownerName` (string, required)
- `closeReason` (string, optional, nullable)
- `closeReasonDetail` (string, optional, nullable)
- `holdReason` (enum, optional, nullable) — * `same_message` - Same message already sent to 2 partners today * `same_phone` - Same phone number already sent to 2 partners today * `same_company` - Same company already sent to 2 partners today
  - Allowed values: `same_message`, `same_phone`, `same_company`

## Examples

**Response**

```json
[
  {
    "href": "string",
    "id": "string",
    "companyName": "string",
    "created": "string",
    "state": "string",
    "assignedPartners": "string",
    "dateAssigned": "string",
    "ownerName": "string",
    "count": 2,
    "next": "https://admin.dev.partnerpage.io/api/matchmaking/private/v1alpha/matchmaking/",
    "previous": null,
    "results": [
      {
        "created": "2025-03-22T15:00:00+00:00",
        "details": "Looking for a marketing consultant.",
        "href": "/api/directory/private/v1alpha/matchmaking-requests/uuid-1/",
        "id": "uuid-1",
        "requestedBy": {
          "id": "user-uuid",
          "name": "Jane Doe"
        },
        "status": "pending"
      }
    ]
  }
]
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/matchmaking-requests/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/matchmaking-requests/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```